/********************************************************************** 
 property.h - Copyright (C) 2002 - R. Wetmore

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/

#ifndef FC__PROPERTY_H
#define FC__PROPERTY_H


typedef struct property {
  char *name;
  union {
    long value;
    void *addr;
    struct {
      short x, y;
    };
  };
} PROPERTY;


PROPERTY *getProperty(PROPERTY list[], char *key);
PROPERTY *getProperty_by_index(PROPERTY list[], char *key);

#endif  /* FC__PROPERTY_H */

